Steam for Linux > Limited Beta > รายละเอียดกระทู้
Amanir 10 ธ.ค. 2012 @ 3:17am
Issue Report: Steam does not recognise the use of Optirun Nvidia drivers, prompts to install
Whenever I start Steam, it asks me to install the latest(nvidia-experimental-310) Nvidia drivers, while I am using those with Steam itself through "optirun /usr/bin/steam %U".

I get the following prompt:
"New Driver Package Available"
"We recommend installing video driver package nvidia-experimental-310 for best performance."

I suspect this is because Jockey does not recognise me having those drivers installed, since they are not used globally due to the Nvidia Optimus technology.

Steam itself DOES say in System Information that the drivers are used: (See the Video Card section)
Processor Information:
Vendor: GenuineIntel
Speed: 2301 Mhz
8 logical processors
4 physical processors
HyperThreading: Supported
FCMOV: Supported
SSE2: Supported
SSE3: Supported
SSSE3: Supported
SSE4a: Unsupported
SSE41: Supported
SSE42: Supported

Network Information:
Network Speed:

Operating System Version:
Ubuntu 12.04.1 LTS (64 bit)
Kernel Name: Linux
Kernel Version: 3.2.0-34-generic
X Server vendor: The X.Org Foundation
X Server release: 11103000

Video Card:
Driver: NVIDIA Corporation Quadro 2000M/PCIe/SSE2

Driver Version: 4.3.0 NVIDIA 310.14
Desktop Color Depth: 24 bits per pixel
Monitor Refresh Rate: 60 Hz
VendorID: 0x10de
DeviceID: 0xdda
Number of Monitors: 1
Number of Logical Video Cards: 2
Primary Display Resolution: 1920 x 1080
Desktop Resolution: 1920 x 1080
Primary Display Size: 13.54" x 7.60" (15.51" diag)
34.4cm x 19.3cm (39.4cm diag)
Primary VRAM: 2047 MB

Sound card:
Audio device:

Memory:
RAM: 7869 Mb

Miscellaneous:
UI Language: English
LANG: en_GB.UTF-8
Microphone: Not set
Total Hard Disk Space Available: 49214 Mb
Largest Free Hard Disk Block: 26979 Mb

Installed software:

Recent Failure Reports:
กำลังแสดง 1-4 จาก 4 ความเห็น
< >
solazs 10 ธ.ค. 2012 @ 4:08am 
I get a similar message, that I should install nvidia-current package. The problem is, it's already installed.

baloo@LeW-O-Laptop:~$ sudo apt-cache policy nvidia-current
[sudo] password for baloo:
nvidia-current:
Telepítve: 310.19-0ubuntu1~xedgers~precise1
Jelölt: 310.19-0ubuntu1~xedgers~precise1
Verziótáblázat:
*** 310.19-0ubuntu1~xedgers~precise1 0
500 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu/ precise/main amd64 Packages
100 /var/lib/dpkg/status
304.64-0ubuntu1~precise~xup1 0
500 http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu/ precise/main amd64 Packages
295.40-0ubuntu1.1 0
500 http://hu.archive.ubuntu.com/ubuntu/ precise-updates/restricted amd64 Packages
500 http://security.ubuntu.com/ubuntu/ precise-security/restricted amd64 Packages
295.40-0ubuntu1 0
500 http://hu.archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages

Steam realizes that, too

Video Card:
Driver: NVIDIA Corporation GeForce GT 525M/PCIe/SSE2

Driver Version: 4.3.0 NVIDIA 310.19
Desktop Color Depth: 24 bits per pixel
Monitor Refresh Rate: 59 Hz
VendorID: 0x10de
DeviceID: 0xdf5
Number of Monitors: 2
Number of Logical Video Cards: 2
Primary Display Resolution: 1680 x 1050
Desktop Resolution: 3280 x 1050
Primary Display Size: 18,66" x 11,65" (21,97" diag)
47,4cm x 29,6cm (55,8cm diag)
Primary VRAM: 2047 MB

still, i get promted every startup.
mikeym 10 ธ.ค. 2012 @ 4:15am 
There have been a lot of threads about NVidia Optimus and the NVidia drivers current lack of support for it.

http://steamcommunity.com/app/221410/discussions/0/882964117825749602/
mikeym 10 ธ.ค. 2012 @ 4:42am 
To be more helpful. Maybe this thread with a howto for running TF2 with Optimus support might be a good place to start.

http://steamcommunity.com/groups/LinuxOptimus/discussions/1/864951657813049306/
Amanir 10 ธ.ค. 2012 @ 10:28am 
Thanks mikeym, but that's not the scope of my report. Running TF2 with Optimus is not a problem, merely that steam keeps prompting.
กำลังแสดง 1-4 จาก 4 ความเห็น
< >
ต่อหน้า: 15 30 50